### Class

# Phosh EmergencyCallsManager

#### Description [src]

    final class Phosh.EmergencyCallsManager : Phosh.Manager
    {
      /* No available fields */
    }

Manages emergency calls and contacts. Contacts are kept in a GListStore containing the emergency contacts form the calls API.

`PhoshEmergencyCallsManager` provides a GListStore containing the emergency contacts fetched from the calls API at `org.gnome.Calls`. It is designed to be used with `PhoshEmergencyContactRow` and the `gtk_list_box_bind_model` function.

`PhoshEmergencyCallsManager` also provides the `phosh_emergency_calls_manager_call()` method to call an emergency contact. If you are calling an emergency contact it is advised that you use `phosh_emergency_calls_call` or `phosh_emergency_calls_row_call` instead of calling `phosh_emergency_calls_manager_call` directly.

#### Ancestors

- PhoshManager
- GObject

#### Constructors

###### phosh_emergency_calls_manager_new

No description available.

#### Instance methods

###### phosh_emergency_calls_manager_call

Starts an emergency call with the specified id.

###### phosh_emergency_calls_manager_get_list_store

Gets the `GListStore` that contains the currently valid emergency contacts.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.EmergencyCallsManager:emergency-contacts

No description available.

#### Signals

###### Phosh.EmergencyCallsManager::dial-error

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshEmergencyCallsManagerClass {
      PhoshManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: PhoshManagerClass`

  No description available.